#include "PCH.h"
#include "Field.h"
#include "gfx.h"
#include "TargetValue.h"

Field::Field(int type)
	: type(type), offsetX(0.0f), offsetY(0.0f),
	m_tvX( 0.0f, 0.0f, 0.0f, 0.02f, 0.95f ),
	m_tvY( 0.0f, 0.0f, 0.0f, 0.0175f, 0.75f )
{
}

Field::~Field()
{

}

void Field::render(float x,
				   float y)
{
	float realX = x + offsetX;
	float realY = y + offsetY;
	g_sprFieldBlock[type]->Render(realX, realY);
}

void Field::update()
{
	m_tvX.timeStep();
	offsetX= m_tvX.m_fValue;

	m_tvY.timeStep();
	offsetY= m_tvY.m_fValue;

}