#ifndef ROCKET_H
#define ROCKET_H

#include "GameObject.h"

class Rocket : public GameObject
{
public:
	Rocket(Level& level, float x, float y, float vx, float vy, float tx, float ty);
	~Rocket();

	void update();
	void render();

private:
	float x, y;
	float vx, vy;
	float tx, ty;
	float age;
	float oldTargetDist;
	hgeParticleSystem* particleSys;
};

#endif