#include "PCH.h"
#include "sfx.h"
#include "gfx.h"

#define extern

extern HEFFECT		g_sndFire;
extern HEFFECT		g_sndRocketExplosion;
extern HEFFECT		g_sndBlock;
extern HEFFECT		g_sndTakeBlock;
extern HEFFECT		g_sndPutBlock;
extern HEFFECT		g_sndLevel;
extern HMUSIC		g_musGame;

void loadAllSFX()
{
	g_sndFire = g_hge->Effect_Load("../data/sound5.ogg");
	g_sndRocketExplosion = g_hge->Effect_Load("../data/sound3.ogg");
	g_sndBlock = g_hge->Effect_Load("../data/sound1.ogg");
	g_sndTakeBlock = g_hge->Effect_Load("../data/sound2a.ogg");
	g_sndPutBlock = g_hge->Effect_Load("../data/sound2b.ogg");
	g_sndLevel = g_hge->Effect_Load("../data/sound6.ogg");
	g_musGame = g_hge->Music_Load("../data/music1.mod");
}

void unloadAllSFX()
{
	g_hge->Effect_Free(g_sndFire);
	g_hge->Effect_Free(g_sndRocketExplosion);
	g_hge->Effect_Free(g_sndBlock);
	g_hge->Effect_Free(g_sndTakeBlock);
	g_hge->Effect_Free(g_sndPutBlock);
	g_hge->Effect_Free(g_sndLevel);
	g_hge->Music_Free(g_musGame);
}