#ifndef ENEMY_H
#define ENEMY_H

#include "GameObject.h"

class Enemy : public GameObject
{
public:
	Enemy(Level& level, int type);
	~Enemy();

	void update();
	void render();

	void onHitByExplosion();

	float getX() { return x; }
	float getY() { return y; }

private:
	void findTarget();

	int type;
	float x, y;
	float vx, vy;
	int targetX, targetY;
	float angle;
	float counter;
	float age;
	hgeColor color;

	hgeParticleSystem* particleSys;
};

#endif