#ifndef EXPLOSION_H
#define EXPLOSION_H

#include "GameObject.h"

class Explosion : public GameObject
{
public:
	Explosion(Level& level, float x, float y);
	~Explosion();

	void update();
	void render();

	static const int c_Size= 5;
private:
	float x, y;
	float radius;
	float angle;
	float scale;
};

#endif