#pragma once
#include "GameObject.h"
#include <vector>

class Level;
class Field;

class PlayerCannon : public GameObject
{
public:
	PlayerCannon(Level& level);
	~PlayerCannon();

	void update();
	void render();

	float getAimX() { return mx; }
	float getAimY() { return my; }
	void addAmmo(int num);

private:
	float gunX[2];
	float gunY;
	float gunAngle[2];
	float mx, my;
	int ammo[2];
	float reload[2];
	float crosshairAngle;
	float ammoAddedFX[2];
};